Bug 829318 - ovirt-engine-backend [Auto-Recovery]: AutoRecoveryManager is only reporting status checking and status done with no findings
ovirt-engine-backend [Auto-Recovery]: AutoRecoveryManager is only reporting s...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
x86_64 Unspecified
medium Severity medium
: ---
: 3.1.0
Assigned To: Laszlo Hornyak
Dafna Ron
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-06 09:03 EDT by Dafna Ron
Modified: 2016-02-10 11:41 EST (History)
10 users (show)

See Also:
Fixed In Version: SI6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dafna Ron 2012-06-06 09:03:19 EDT
Description of problem:

AutoRecoveryManager runs with the following:

2012-06-03 15:45:00,002 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-44) [5775b506] Checking autorecoverable storage domains

2012-06-03 15:45:00,004 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-44) [5775b506] Checking autorecoverable storage domains done

we need to add the following: 

Checking autorecoverable storage domains: found 1 domain inactive state

Checking autorecoverable storage domains done: 1 domain was autorecovered
Version-Release number of selected component (if applicable):

How reproducible:

100%

Steps to Reproduce:
1. create a problem in one of the domains
2. fix the problem 
3. look at the AutoRecoveryMangaer
  
Actual results:

we currently have no way of knowing of the domain was autorecovered by the AutoRecoveryMananger 

Expected results:

we should log what the AutoRecoveryManager finds and what it did. 

Additional info:
Comment 1 Laszlo Hornyak 2012-06-06 09:11:52 EDT
http://gerrit.ovirt.org/5099
Comment 2 Dafna Ron 2012-06-19 12:25:12 EDT
verified on si6:

2012-06-19 19:15:00,001 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Checking autorecoverable hosts
2012-06-19 19:15:00,004 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Autorecovering 0 hosts
2012-06-19 19:15:00,005 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Checking autorecoverable hosts done
2012-06-19 19:15:00,005 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Checking autorecoverable storage domains
2012-06-19 19:15:00,006 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Autorecovering 0 storage domains
2012-06-19 19:15:00,007 INFO  [org.ovirt.engine.core.bll.AutoRecoveryManager] (QuartzScheduler_Worker-54) [1ed6014b] Checking autorecoverable storage domains done

Note You need to log in before you can comment on or make changes to this bug.